Request

Response

    Get Unit of Measure (Beta)
    GET

    vaults/{vaultId}/units-of-measure/{id}

    This operation is currently in beta testing and can change before general availability (GA). Avoid using it in production applications.

    Retrieves unit of measure details for the given ID.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/units-of-measure/{id}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a unit of measure.

    Response

    HTTP Status Code Summary

    200
    OK
    The unit of measure was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    id
    string
    The unique identifier of a unit of measure.
    url
    string
    The relative URL to access this object.
    name
    string
    The name of this unit of measure.
    abbreviation
    string
    The abbreviation of this unit of measure.
    systemName
    string
    The system name of this unit of measure.
    conversion
    number
    The conversion factor relative to the base unit of measure.
    baseUnitOfMeasureId
    string
    The unique identifier of the base unit of measure.
    isSystem
    boolean
    Indicates whether this is a system-defined unit of measure.

    Example

    This example illustrates how to retrieve a unit of measure by ID.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/units-of-measure/1' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "1",
      "name": "Each",
      "abbreviation": "ea",
      "systemName": "Each",
      "conversion": 1.0,
      "baseUnitOfMeasureId": "1",
      "isSystem": true,
      "url": "/AutodeskDM/Services/api/vault/v2/vaults/9/units-of-measure/1"
    }
    
    Show More